Subject: SIP: Version upgrade in proxy

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Mar 1998 12:51:11 -0500

Should a version N proxy convert a version N-1 request to version N?

Suggested resolution: Follow HTTP approach and allow upgrade of request.
This is needed to make translation from really old versions of SIP
possible and allows (embedded) end systems to acquire additional
functionality with the help of a proxy. This clearly does not work with
encrypted requests.